Package com.smartgwt.client.widgets.grid.events

# Interface HasGroupByCompleteHandlers

All Superinterfaces:
  `HasHandlers`

All Known Implementing Classes:
  `CalendarView`, `CubeGrid`, `DateGrid`, `EditTree`, `ListGrid`, `ListPalette`, `Menu`, `MenuPalette`, `PickListMenu`, `RecordEditor`, `SelectionTreeMenu`, `TableView`, `TreeGrid`, `TreePalette`

public interface HasGroupByCompleteHandlers extends HasHandlers

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HandlerRegistration`
  `addGroupByCompleteHandler(GroupByCompleteHandler handler)`
  Callback fired when the listGrid is grouped or ungrouped.

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Method Details

  - ### addGroupByCompleteHandler

    HandlerRegistration addGroupByCompleteHandler(GroupByCompleteHandler handler)
    Callback fired when the listGrid is grouped or ungrouped.

    Unlike `ListGrid.groupBy()`, this notification will fire when grouping is complete, and the `data` object has been updated. On successful grouping the `fields` argument will list the new grouping and the `groupTree` will have been updated to reflect the grouped data.

    Note that the `fields` argument may be an empty array if the data is not grouped. This implies that a user or developer explicitly ungrouped the grid, or that a groupBy attempt failed due to the data length exceeding `groupByMaxRecords`.

    By design, this method is not called when the data is regrouped, either `programmatically`, or in response to new data arriving from the server. You can use the callback `ListGrid.groupTreeChanged()` to be notified in that situation.

    If you monitor only this method and call `groupBy()` before data is fetched, the notification that you'll receive will be for grouping the initial (perhaps empty) data set only. To have this method actually trigger when grouping of the fetched data is done, you should avoid calling `groupBy()` before the initial fetch, and instead do it in the the `fetch callback`.

    Parameters:
      `handler` - the groupByComplete handler
    Returns:
      `HandlerRegistration` used to remove this handler